/******************************************************************************
*                                                                             *
*    diblib.h                               Copyright(c) 2004-2007 itow,y.    *
*                                                                             *
******************************************************************************/


#ifndef DIBLIB_H
#define DIBLIB_H


typedef struct {
	HBITMAP hbm;
	BITMAPINFO *pbmi;
	void *pBits;
	int nWidth;
	int nHeight;
	int nBitsPerPixel;
	HDC hdcMem;
} DIBInfo;

#define DIB_OPACITY_OPAQUE 256

typedef enum {
	DIB_COPY_NORMAL,
	DIB_COPY_TRANSPARENT
} DIBCopyMode;


BOOL DIB_Create(DIBInfo **ppInfo,int nWidth,int nHeight,int nBitCount);
BOOL DIB_Load(DIBInfo **ppInfo,LPCTSTR pszFileName);
void DIB_Destroy(DIBInfo **ppInfo);
void DIB_Copy(DIBInfo *pDstInfo,int nDstLeft,int nDstTop,int nWidth,
	int nHeight,const DIBInfo *pSrcInfo,int nSrcLeft,int nSrcTop,int nOpacity,
															DIBCopyMode Mode);
void DIB_FillRect(DIBInfo *pInfo,int nLeft,int nTop,int nWidth,int nHeight,
												COLORREF crColor,int nOpacity);
BOOL DIB_DrawText(DIBInfo *pInfo,int nLeft,int nTop,LPCTSTR pszText,
									int nLength,HFONT hfont,COLORREF crColor);


#endif	/* ndef DIBLIB_H */
